import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { HttpClientModule } from '@angular/common/http';
import { RouterModule, Routes } from '@angular/router';
import { LocationStrategy, HashLocationStrategy } from '@angular/common';
import { enableProdMode } from '@angular/core';

import { JhaResponsiveCoreModule } from '@jha/jharesponsive/jha-responsive-core';
import { JhaHeaderModule } from '@jha/jharesponsive/jha-header';
import { JhaLayoutModule } from '@jha/jharesponsive/jha-layout';
import { JhaNavModule } from '@jha/jharesponsive/jha-nav';
import { JhaNotificationsModule } from '@jha/jharesponsive/jha-notifications';
import { JhaThemeModule } from '@jha/jharesponsive/jha-theme';
import { JhaTileModule } from '@jha/jharesponsive/jha-tile';

import { AppComponent } from './app.component';
import { MainHeaderComponent } from './components/main-header/main-header.component';
import { MainNavComponent } from './components/main-nav/main-nav.component';
import { HomeComponent } from './components/home/home.component';
import { AboutComponent } from './components/about/about.component';
import { SettingsComponent } from './components/settings/settings.component';

enableProdMode();

const routes: Routes =
	[
		{ path: '', redirectTo: '/Home', pathMatch: 'full' },
		{ path: 'Home', component: HomeComponent },
		{ path: 'About', component: AboutComponent },
		{ path: 'Settings', component: SettingsComponent },
		{ path: '**', component: HomeComponent }
	];

@NgModule({
  declarations: [
		AppComponent,
		MainHeaderComponent,
		MainNavComponent,
		HomeComponent,
		AboutComponent,
		SettingsComponent
  ],
  imports: [
		BrowserModule,
		HttpClientModule,
		JhaResponsiveCoreModule.forRoot(),
		JhaHeaderModule,
		JhaLayoutModule,
		JhaNavModule,
		JhaNotificationsModule.forRoot(),
		JhaThemeModule,
		JhaTileModule,
		RouterModule.forRoot(routes, {})
  ],
  providers: [{ provide: LocationStrategy, useClass: HashLocationStrategy }],
  bootstrap: [AppComponent]
})
export class AppModule { }
