import { Component } from '@angular/core';

import { JhaThemeColor, JhaThemingService } from '@jha/jharesponsive/jha-theme';

@Component({
	selector: 'app-settings',
	templateUrl: './settings.component.html',
	styleUrls: ['./settings.component.scss'],
	providers: [JhaThemingService]
})
export class SettingsComponent {

	public themeColors: JhaThemeColor[];

	constructor(private themingService: JhaThemingService) {
		this.themeColors = themingService.ThemeColors;
	}

	public changeThemeColor(themeIndex: number): void {
		if (themeIndex >= 0 && themeIndex < this.themeColors.length) {
			this.themingService.ThemePath = './assets/themes';
			this.themingService.LoadThemeColor(this.themeColors[themeIndex].name);
		}
	}

}
